#Quantitative Fisheries Center
#R Short course
#Exercise 2 - Importing and R functions

#	Part 1
#Import data frame
assign2<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\2_R Functions\\Exercise 2_Fish_stream_example_TW.txt", na.strings="NA", header=T)

attach(assign2)

#Print data
assign2

#Summary of data frame
summary(assign2)

#Mean and variance of fish densities
mean.fish<-mean(no.fish, na.rm=T)
mean.fish

var.fish<-var(no.fish, na.rm=T)
var.fish

#Estimate the mean of fish densities by stream and position
stream.mean<-by(assign2[,3], position, mean, na.rm=TRUE)
stream.mean 
#OR
stream.mean2<-by(assign2$no.fish, position, mean, na.rm=T)
stream.mean2


#	Part 2

#Obtain the mean no.fish for all sites with fish densities > 60 in barrier streams only
sub1<-subset(assign2, no.fish > 60 & stream.type=="No.Barrier")
sub1

mean1<-mean(sub1$no.fish, na.rm=T)
mean1

sub2<-subset(assign2, no.fish > 60 & stream.type=="No.Barrier" & position=="Below")
sub2
mean(sub2$no.fish, na.rm=T)
var(sub2$no.fish, na.rm=T)

stream.barrier.means<-by(assign2[,3], list(stream.type,position), summary, na.rm=T)
stream.barrier.means


