#Quantitative Fisheries Center
#R Short course
#Exercise 4 - graphing basics


chinook<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\3_Graphing Basics\\Chinook salmon data graphing example.txt", na.strings="NA",header=T)

#Scatter plot for length vs triglycerides for Rapid River Hatchery
plot(chinook$length[chinook$hatchery=="RAPH"],chinook$trigly[chinook$hatchery=="RAPH"], xlab="Length(mm)", ylab="Plasma triglycerides (mg/dL)", main="Graph of Trigly vs. Length for RAPH", pch=16, cex=1.5)
abline(h=mean(chinook$trigly[chinook$hatchery=="RAPH"],na.rm=T))
text(130,540,"RAPH mean")
abline(h=mean(chinook$trigly[chinook$hatchery=="DWOR"],na.rm=T), lty=2)
text(110,295,"DWOR mean")