#Quantitative Fisheries Center
#R Short course
#Exercise 3 - graphing basics


chinook<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\3_Graphing Basics\\Chinook salmon data graphing example.txt", na.strings="NA",header=T)

#Plot a scatter plot matrix of length, weight, trigly, and chol
pairs(chinook[,2:4])


#Plot a histogram of salmon lengths for Dworshak Hatchery
dwor<-subset(chinook, hatchery=="DWOR")
dwor
hist(dwor$length)

#Create a boxplot showing triglycerides at each hatchery
boxplot(chinook$trigly~chinook$hatchery)


#Scatter plot of length-weight for Dworshak hatchery using a query within a plot statement
plot(chinook[1:30,2],chinook[1:30,3])

#Altrenatively we can plot after subsetting
plot(dwor$length, dwor$wgt)

#OR, we can subset within the plot statement
plot(chinook$length[chinook$hatchery=="DWOR"], chinook$wgt[chinook$hatchery=="DWOR"])






