#Quantitative Fisheries Center
#R Short course
#Graphing Basics 2

#generate random numbers to plot
x<-rnorm(100, mean=20, sd=3)
y<-(x^2 + runif(100))+ rnorm(100, mean=20, sd=15)


#Sort x and y
x1<-sort(x)
y1<-sort(y)
plot(x1,y1, type="l", main="Line type l") #type = "l" plots a line graph
plot(x1,y1, type="o", main="Line type 0") #type = "o" overlays line and points
plot(x1,y1, type="h", main="Line type h") #type = "h" plots a histogram-like graph


#Add axis labels to plot
plot(x1,y1, xlab="x-label here", ylab="y-label here") 

#Add main title to graph
plot(x1,y1, xlab="x-label here", ylab="y-label here", main="Practice Graph") 

#Change plotting character in graph using pch=
plot(x1,y1, xlab="x-lable here", ylab="y-label here", main="Practice Graph", pch=16) 
plot(x1,y1, xlab="x-lable here", ylab="y-label here", main="Practice Graph", pch="+") 

#Change size of character using cex=
plot(x1,y1, xlab="x-lable here", ylab="y-label here", main="Practice Graph", pch=16, cex=2) 

#Change color of axis lables and main title using col.lab=, and col.main=
plot(x1,y1, xlab="x-lable here", ylab="y-label here", main="Practice Graph", pch=16, cex=2, col.lab="blue", col.main="purple") 

#Change the x and y axis scales using the xlim= and ylim= statements
plot(x1,y1, xlab="x-lable here", ylab="y-label here", main="Practice Graph", pch=16, cex=2, cex.main=3, col.lab="blue", col.main="purple", xlim=c(0,40), ylim=c(0,800)) 

