#Quantitative Fisheries Center
#R Short course
#correlations and t-tests

ex1<-read.table("C:\\Documents and Settings\\wagnerty\\My Documents\\R-SHORT\\Programs\\4_corr and t_test\\Chinook salmon data.txt", na.strings="NA",header=T)

#Obtain correlation matrix for chinook salmon data
chinook.cor<-cor(ex1[,2:5])
chinook.cor

#T-test for examining differences in mean length between Dworshak and McCall hatchery fish. 
#Select out Dworshak and Rapid River hatcheries using the subset command (| means logical OR)
dwor.raph.data<-subset(ex1, hatchery=="DWOR" | hatchery=="RAPH")

dwor.raph.t.test<-t.test(dwor.raph.data$length~dwor.raph.data$hatchery)
dwor.raph.t.test

#OR

#Query out desired hatcheries within the t.test function
dwor.raph.t.test2<-t.test(ex1$length[ex1$hatchery=="DWOR"], ex1$length[ex1$hatchery=="RAPH"])
dwor.raph.t.test2
